Bug 582070

Summary: Screen Flicker Playing Totem Video - Testcase nouveau xvideo
Product: [Fedora] Fedora Reporter: mark <mge7272-fedora>
Component: totemAssignee: Bastien Nocera <bnocera>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: airlied, ajax, bnocera, deadletterfile, talltaurus2002
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 11:32:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description mark 2010-04-13 22:11:17 EDT
Description of problem:
The screen flickers when the hard keys are pressed (volume up/down, screen brightness up/down) while playing a video with Totem.  Test performed according to the instructions from QA:Testcase_nouveau_xvideo

Version-Release number of selected component (if applicable):


How reproducible:
Everytime a new video is opened

Steps to Reproduce:
1. Run gstreamer-properties, go to the Video tab, and set the Default Output Plugin to X Window System (X11/XShm/Xv)
2. Start a video playing
3. Use the laptop's hard keys to increase/decrease volume or screen brightness
  
Actual results:
Screen flickers

Expected results:
No flicker

Additional info:
Comment 1 Ronald L Humble 2010-04-15 22:21:42 EDT
My symptoms mildly similar so post comment here. Whenever mouse clicked on the blue totem window titlebar, got a brief flicker of the video. If I advance the timeline forward or back in the video once, the effect disappears, and only returns with a new instance of totem. See Bug 582866 for attachments as well as 2010-04-13 test page.
Comment 2 Ben Skeggs 2010-06-01 22:42:46 EDT
I can confirm bother of these issues (the first is "fixed" the same as the second - by using the timeline slider) with totem-2.30.0-2.fc13.x86_64.

Also reproducible using vesa driver, so reassigning to totem.
Comment 3 Bastien Nocera 2010-06-02 06:27:55 EDT
Use 2.30.2 and let me know if you still see the problem.
Comment 4 Ben Skeggs 2010-06-02 18:47:23 EDT
That appears to work for me.
Comment 5 Ronald L Humble 2010-06-12 17:04:24 EDT
totem-2.30.2-1.fc13.i686 installed and I can not recreate the symptoms reported by me in comment one. I thank all involved for their work.
Comment 6 mark 2010-06-12 22:05:06 EDT
Sorry I haven't commented sooner.  I can't test this bug any longer as my video card has changed (from nvidia to intel).

My laptop's nvidia 8400gs video card died.  To replace it I had to replace the whole motherboard, and after reading about all these premature nvidia 8400gs video cards dying, I decided to downgrade to an integrated intel video card.
Comment 7 Jonathan 2010-06-27 23:46:24 EDT
(In reply to comment #6)
> Sorry I haven't commented sooner.  I can't test this bug any longer as my video
> card has changed (from nvidia to intel).
> 
> My laptop's nvidia 8400gs video card died.  To replace it I had to replace the
> whole motherboard, and after reading about all these premature nvidia 8400gs
> video cards dying, I decided to downgrade to an integrated intel video card.    

Nvidia has bumpcrack problems in a huge portion of it's 90nm and 65 nm line. The original 8400gs which is g84 gpu pcie 1.0 and 450mhz core clock will bumpcrack to death. As will 8500 gt and 8600GT and first 8800GT. Even the redo of 8800GT will bumpcrack to death. The second gen 8400GS G98GS gpu 567mhz core clock and much faster 1200 to 1400 mhz shader clocks, won't bumpcrack to death but they usually have fans that die after 6 months and then heat stroke.
Comment 8 mark 2010-06-28 09:35:33 EDT
jonathan,

Thanks for the info about the problems with the Nvidia bumpcracking.  I'm glad I downgraded to the integrated Intel video card then.  My laptop is now running just fine with the integrated card and the free driver.  It seems much cooler and doesn't run video any slower (not a gamer).
Comment 9 Bug Zapper 2011-06-02 11:25:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 11:32:56 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.